Baremetal
Toggle baremetal protection
post
/baremetal/{baremetal_id}/protectionEnable or disable destruction protection on your baremetal server. When enabled, the operating system cannot be reinstalled until protection is removed.
Authorization
Authorization
Authorization*string
Bearer YOUR_API_TOKEN with an API token. The X-API-Key: YOUR_API_TOKEN header works too.
Path parameters
baremetal_id*integer
Range
1 ≤ valueRequest body
application/jsonRequired
enabled*boolean
Set to true to enable protection, false to disable it.
Responses
Successful Response
application/json
detail*string